GETADDRINFO(1)

NAME
"getaddrinfo" - command-line tool to "getaddrinfo(3)" resolver

SYNOPSIS
getaddrinfo [options...] host service

DESCRIPTION
This tool provides a convenient command-line wrapper around the getaddrinfo(3) resolver function. It will perform a single lookup and print the returned results in a human-readable form. This is mainly useful when debugging address resolution problems, because it allows inspection of the getaddrinfo(3) behaviour itself, outside of any real program that is trying to use it.

OPTIONS

--host, -H HOST
    Hostname to resolve. If not supplied, will use the first positional argument

--service, -S SERVICE
    Service name or port number to resolve. If not supplied, will use the second positional argument.

-4  Restrict to just "AF_INET" (IPv4) results

-6  Restrict to just "AF_INET6" (IPv6) results

--stream
    Restrict to just "SOCK_STREAM" results

--dgram
    Restrict to just "SOCK_DGRAM" results

--proto PROTO
    Restrict to just results of the given IP protocol

--passive
    Set the "AI_PASSIVE" hint; results will used to bind() and listen() rather than connect()

--canonical
    Retrive the canonical name for the requested host

--help
    Display a help summary and exit

OUTPUT FORMAT
Each line of output will be given in a form that indicates the four result fields of "ai_family", "ai_socktype", "ai_protocol" and "ai_addr". The first three are printed in the form of a socket(2) call, either symbolically or numerically, and the latter is printed as a plain string following it. For example

 socket(AF_INET , SOCK_STREAM, IPPROTO_TCP) + '127.0.0.1:80'

AUTHOR
Paul Evans <leonerd@leonerd.org.uk>